﻿using System;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;

namespace Winify
{
    public static class Constants
    {
        #region Static Fields and Constants

        public const string DateTimeStamp = @"yyyy-MM-ddTHH:mm:ss.ffffffZ";

        public const int CommandTimeout = 60000;

        public static readonly string AssemblyName = Assembly.GetEntryAssembly().GetName().Name;

        public static readonly string AssemblyVersion = Assembly.GetEntryAssembly().GetName().Version.ToString();

        public static readonly string AssemblyGuid =
            ((GuidAttribute)Assembly.GetEntryAssembly().GetCustomAttributes(typeof(GuidAttribute), true)[0]).Value;

        public static string ConfigurationXsd = "Configuration.xsd";

        public static string ConfigurationNamespace = "urn:winify-configuration-schema";

        #endregion

        #region Public Enums, Properties and Fields

        public static string AnnouncementsFile => Path.Combine(UserApplicationDirectory, @"Announcements.xml");

        public static string ServersFile => Path.Combine(UserApplicationDirectory, @"Servers.xml");

        public static string ConfigurationFile => Path.Combine(UserApplicationDirectory, @"Configuration.xml");

        public static string UserApplicationDirectory => Path.Combine(
            Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments), @"Wizardry and Steamworks", @"Winify");

        #endregion
    }
}