﻿using System;
using System.IO;
using System.Threading;
using System.Windows.Forms;

namespace Winify
{
    internal class Program
    {
        #region Static Fields and Constants

        private static readonly Mutex Mutex = new Mutex(true, Constants.AssemblyGuid);

        #endregion

        #region Private Methods

        /// <summary>
        ///     The main entry point for the application.
        /// </summary>
        [STAThread]
        private static void Main()
        {
            Directory.SetCurrentDirectory(AppDomain.CurrentDomain.BaseDirectory);

            if (Mutex.WaitOne(TimeSpan.Zero, true))
                try
                {
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    Application.Run(new MainForm(Mutex));
                }
                finally
                {
                    Mutex.ReleaseMutex();
                }
        }

        #endregion
    }
}