﻿using System;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace Winify.Utilities.Components
{
    public partial class ReadOnlyRichTextBox : RichTextBox
    {
        #region Constructors, Destructors and Finalizers

        public ReadOnlyRichTextBox()
        {
            ReadOnly = true;
        }

        #endregion

        #region Private Overrides

        protected override void WndProc(ref Message m)
        {
            base.WndProc(ref m);
            HideCaret(Handle);
        }

        #endregion

        #region Private Methods

        [DllImport("user32.dll")]
        private static extern bool HideCaret(IntPtr hWnd);

        #endregion
    }
}