﻿using System;
using System.Collections.Generic;
using System.Xml.Schema;
using Horizon.Utilities.Serialization;

namespace Winify.Utilities.Serialization
{
    public class SerializationFailure : SerializationState
    {
        #region Public Enums, Properties and Fields

        public Exception Exception { get; set; }

        public List<ValidationEventArgs> ValidationEventArgs { get; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public SerializationFailure(Exception exception)
        {
            Exception = exception;
        }

        public SerializationFailure(Exception exception, List<ValidationEventArgs> validationEventArgs) :
            this(exception)
        {
            ValidationEventArgs = validationEventArgs;
        }

        #endregion
    }
}