﻿using System.Windows.Forms;
using Jot;

namespace Winify.Utilities
{
    public static class WindowState
    {
        // expose the tracker instance
        public static Tracker FormTracker = new Tracker();

        static WindowState()
        {
            // tell Jot how to track Window objects
            FormTracker.Configure<Form>()
                .Id(w => w.Name)
                .Properties(w => new { w.Height, w.Width, w.Left, w.Top, w.WindowState })
                .PersistOn(nameof(Form.FormClosed));
        }
    }
}